# org.apache.ignite.internal.processors.query

## Interfaces

- GridQueryFieldMetadata
- GridQueryFieldsResult
- GridQueryIndexDescriptor
- GridQueryIndexing
- GridQueryTypeDescriptor

## Classes

- GridQueryCacheObjectsIterator
- GridQueryCancel
- GridQueryFieldsResultAdapter
- GridQueryProcessor
- GridQueryProperty
- GridRunningQueryInfo

## Enums

- GridQueryIndexType

## Exceptions

- IgniteSQLException